com.android.agf.fragments

## Class NumComponentsFragment

- java.lang.Object
- - android.support.v4.app.Fragment
  - - com.android.agf.fragments.NumComponentsFragment

- All Implemented Interfaces:
    ComponentCallbacks, View.OnCreateContextMenuListener, AdapterView.OnItemClickListener

      public class NumComponentsFragment
      extends Fragment
      implements AdapterView.OnItemClickListener

  fragment per mostrar les estructures que pot assolir un dashboard
  Author:
    albert

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `NumComponentsFragment.CreateListener`
    `(package private) class` | `NumComponentsFragment.MyAdapter` adaptador on es contindra la crida al callback de l'activity

    - ### Nested classes/interfaces inherited from class android.support.v4.app.Fragment

      `Fragment.InstantiationException, Fragment.SavedState`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NumComponentsFragment()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onActivityCreated(Bundle savedInstanceState)`
    `void` | `onAttach(Activity activity)`
    `void` | `onCreate(Bundle savedInstanceState)`
    `View` | `onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState)`
    `void` | `onItemClick(AdapterView<?> arg0, View arg1, int arg2, long arg3)`
    `void` | `onResume()` generació del gridview que contindra les dades
    `void` | `start(int id)`

    - ### Methods inherited from class android.support.v4.app.Fragment

      `dump, equals, getActivity, getArguments, getChildFragmentManager, getFragmentManager, getId, getLayoutInflater, getLoaderManager, getParentFragment, getResources, getRetainInstance, getString, getString, getTag, getTargetFragment, getTargetRequestCode, getText, getUserVisibleHint, getView, hashCode, instantiate, instantiate, isAdded, isDetached, isHidden, isInLayout, isRemoving, isResumed, isVisible, onActivityResult, onConfigurationChanged, onContextItemSelected, onCreateAnimation, onCreateContextMenu, onCreateOptionsMenu, onDestroy, onDestroyOptionsMenu, onDestroyView, onDetach, onHiddenChanged, onInflate, onLowMemory, onOptionsItemSelected, onOptionsMenuClosed, onPause, onPrepareOptionsMenu, onSaveInstanceState, onStart, onStop, onViewCreated, onViewStateRestored, registerForContextMenu, setArguments, setHasOptionsMenu, setInitialSavedState, setMenuVisibility, setRetainInstance, setTargetFragment, setUserVisibleHint, startActivity, startActivityForResult, toString, unregisterForContextMenu`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NumComponentsFragment

          public NumComponentsFragment()

  - ### Method Detail

    - #### onAttach

          public void onAttach(Activity activity)

      Overrides:
        `onAttach` in class `Fragment`

    - #### onCreate

          public void onCreate(Bundle savedInstanceState)

      Overrides:
        `onCreate` in class `Fragment`

    - #### onActivityCreated

          public void onActivityCreated(Bundle savedInstanceState)

      Overrides:
        `onActivityCreated` in class `Fragment`

    - #### onCreateView

          public View onCreateView(LayoutInflater inflater,
                          ViewGroup container,
                          Bundle savedInstanceState)

      Overrides:
        `onCreateView` in class `Fragment`

    - #### onResume

          public void onResume()

      generació del gridview que contindra les dades
      Overrides:
        `onResume` in class `Fragment`

    - #### onItemClick

          public void onItemClick(AdapterView<?> arg0,
                         View arg1,
                         int arg2,
                         long arg3)

      Specified by:
        `onItemClick` in interface `AdapterView.OnItemClickListener`

    - #### start

          public void start(int id)